Bug 971862 - [upgrade] scalable app fail to git push after migrated
Summary: [upgrade] scalable app fail to git push after migrated
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Upgrade   
(Show other bugs)
Version: 1.2.0
Hardware: Unspecified Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: John W. Lamb
QA Contact: libra bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-07 12:56 UTC by Johnny Liu
Modified: 2017-03-08 17:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 15:45:22 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Johnny Liu 2013-06-07 12:56:09 UTC
Description of problem:
scalable app fail to git push after migrated

Version-Release number of selected component (if applicable):
1.2/2013-06-05.9

How reproducible:
Always

Steps to Reproduce:
1. Setup ose-1.1.3 env
2. Create a scalable app, its min gear is set to 2.
3. Following http://etherpad.corp.redhat.com/OSE-1-2-upgrade-notes to do upgrade testing
4. After upgrade, do some change in app repo, then git push

Actual results:
$ git push
<--snip-->
remote: + for rpccall in '"${OPENSHIFT_SYNC_GEARS_POST[@]}"'
remote: + ssh 6952dc985c5a4a66a9d01edf27d1d1c8@10.4.59.180 'gear remotedeploy'
remote: No such file or directory - /var/lib/openshift/6952dc985c5a4a66a9d01edf27d1d1c8/git/mediawiki.git
remote: Exit code: 
remote: An error occurred executing 'gear postreceive'
remote: 
remote: For more details about the problem, try running the command again with the '--trace' option.
To ssh://886807d5d84843e2aa9f0c03540aa3d6@mediawiki-jialiu.ose11test.com/~/git/mediawiki.git/

It is looking for the second gear's git repo - /var/lib/openshift/6952dc985c5a4a66a9d01edf27d1d1c8/git/mediawiki.git; But after migrated, the second gear still has a old git repo - /var/lib/openshift/6952dc985c5a4a66a9d01edf27d1d1c8/git/6952dc985c.git


Expected results:
After migrate, git push for scalable app should succeed.

Additional info:

Comment 2 John W. Lamb 2013-06-14 22:05:01 UTC
Untested fix in this branch: https://github.com/dobbymoodge/enterprise/tree/bz971862

Will test first thing Monday AM, 6/17/2013.

Comment 4 Johnny Liu 2013-06-19 13:53:38 UTC
The above fix is not merged into 1.2/2013-06-17.1 puddle

Comment 5 Johnny Liu 2013-06-20 09:23:03 UTC
Retest this bug with 1.2/2013-06-19.2, the fix is still not merged, so move it to "ASSIGNED".

Comment 6 Luke Meyer 2013-06-20 18:19:32 UTC
Should be in puddle today with rebuilt upgrade RPMs.

Comment 7 Boris Mironov 2013-06-21 02:12:00 UTC
Hello,

Symptoms of this bug are similar to bug 974786.

Hope this helps,
Boris

Comment 8 Johnny Liu 2013-06-21 11:25:55 UTC
Verified this bug with openshift-enterprise-upgrade-node-1.2-1.git.83.a254045.el6op.noarch in 1.2/2013-06-20.5, and PASS.

Now git push for scalable app successfully.

Comment 9 Luke Meyer 2013-06-28 15:45:22 UTC
Closing all bugs introduced, fixed, and verified during 1.2 release work (thus never shipped).


Note You need to log in before you can comment on or make changes to this bug.